import { jsx } from "react/jsx-runtime";
import { ChatTeardrop as ChatTeardrop$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChatTeardrop = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ChatTeardrop", ...props, children: /* @__PURE__ */ jsx(ChatTeardrop$1, { weight: variant }) });
  }
);
ChatTeardrop.displayName = "ChatTeardrop";
Object.assign(ChatTeardrop, { isGdsIcon: true });
export {
  ChatTeardrop
};
